<%--
  Copyright (C) 2000 - 2024 Silverpeas
  
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU Affero General Public License as
  published by the Free Software Foundation, either version 3 of the
  License, or (at your option) any later version.
  
  As a special exception to the terms and conditions of version 3.0 of
  the GPL, you may redistribute this Program in connection with Free/Libre
  Open Source Software ("FLOSS") applications as described in Silverpeas's
  FLOSS exception. You should have recieved a copy of the text describing
  the FLOSS exception, and it is also available here:
  "https://www.silverpeas.org/legal/floss_exception.html"
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Affero General Public License for more details.
  
  You should have received a copy of the GNU Affero General Public License
  along with this program.  If not, see <https://www.gnu.org/licenses/>.
  --%>

<%@ tag language="java" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://www.silverpeas.com/tld/silverFunctions" prefix="silfn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.silverpeas.com/tld/viewGenerator" prefix="view" %>

<%@ tag import="org.silverpeas.core.util.StringUtil" %>
<%@ tag import="org.silverpeas.core.util.WebEncodeHelper" %>

<%@ attribute name="contact" required="true" type="org.silverpeas.core.contact.model.ContactDetail"
              description="A contact" %>

<%@ attribute name="formView" required="false" type="org.silverpeas.core.contribution.content.form.Form"
              description="A form" %>

<%@ attribute name="context" required="false" type="org.silverpeas.core.contribution.content.form.PagesContext"
              description="A form context" %>

<%@ attribute name="userLanguage" required="true" type="java.lang.String"
              description="User language" %>

<fmt:setLocale value="${userLanguage}" />
<view:setBundle basename="org.silverpeas.yellowpages.multilang.yellowpagesBundle" />

<fieldset id="identity-base" class="skinFieldset">
  <legend class="without-img"><%=WebEncodeHelper
      .javaStringToHtmlString(contact.getFirstName()) %> <%= WebEncodeHelper
      .javaStringToHtmlString(contact.getLastName()) %>
  </legend>

  <div class="oneFieldPerLine">
    <% if (StringUtil.isDefined(contact.getEmail())) { %>
    <div class="field" id="email">
      <label class="txtlibform"><fmt:message key="GML.eMail"/></label>
      <div class="champs">
        <a href=mailto:"<%=WebEncodeHelper.javaStringToHtmlString(contact.getEmail()) %>"><%=WebEncodeHelper
            .javaStringToHtmlString(WebEncodeHelper.javaStringToHtmlString(contact.getEmail())) %>
        </a></div>
    </div>
    <% } %>
    <% if (StringUtil.isDefined(contact.getPhone())) { %>
    <div class="field" id="phone">
      <label class="txtlibform"><fmt:message key="GML.phoneNumber"/></label>
      <div class="champs"><%=WebEncodeHelper.javaStringToHtmlString(contact.getPhone()) %></div>
    </div>
    <% } %>
    <% if (StringUtil.isDefined(contact.getFax())) { %>
    <div class="field" id="fax">
      <label class="txtlibform"><fmt:message key="GML.faxNumber"/></label>
      <div class="champs"><%=WebEncodeHelper.javaStringToHtmlString(contact.getFax()) %></div>
    </div>
    <% } %>
  </div>
</fieldset>

<% if (formView != null) { %>
<fieldset id="identity-extra" class="skinFieldset">
  <legend class="without-img"><fmt:message key="GML.bloc.further.information"/></legend>
  <%
    formView.display(out, context);
  %>
</fieldset>
<% } %>